Skip to main content
PATCH
/
org
/
{org}
/
agent
/
{name}
Perform a Patch on an agent by name
curl --request PATCH \
  --url https://api.cpln.io/org/{org}/agent/{name} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "$drop": [],
  "name": "<string>",
  "description": "<string>",
  "tags": {},
  "$replace/tags": {}
}
'
import requests

url = "https://api.cpln.io/org/{org}/agent/{name}"

payload = {
"$drop": [],
"name": "<string>",
"description": "<string>",
"tags": {},
"$replace/tags": {}
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
$drop: [],
name: '<string>',
description: '<string>',
tags: {},
'$replace/tags': {}
})
};

fetch('https://api.cpln.io/org/{org}/agent/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "name": "<string>",
  "kind": "<string>",
  "version": 123,
  "description": "<string>",
  "tags": {},
  "created": "2023-11-07T05:31:56Z",
  "lastModified": "2023-11-07T05:31:56Z",
  "links": [
    {
      "rel": "<string>",
      "href": "<string>"
    }
  ],
  "status": {
    "bootstrapConfig": {
      "registrationToken": "<string>",
      "agentId": "<string>",
      "agentLink": "<string>",
      "hubEndpoint": "<string>"
    }
  }
}
{
"status": 123,
"message": "<string>",
"code": "<string>",
"details": {},
"id": "<string>"
}
{
"status": 123,
"message": "<string>",
"code": "<string>",
"details": {},
"id": "<string>"
}

Authorizations

Authorization
string
header
required

Service account key can be used as API keys

Path Parameters

org
string
required
name
string
required

Body

application/json
$drop
enum<string>[]
Available options:
description,
tags
name
string
Maximum string length: 64
description
string
Maximum string length: 250
tags
object
$replace/tags
object

Response

Success

id
string
read-only
name
string
Maximum string length: 64
kind
string
read-only
version
integer
read-only
description
string
Maximum string length: 250
tags
object
created
string<date-time>
read-only
lastModified
string<date-time>
read-only
status
object
read-only